🌍 Astrocartography API and βœ‹ Palmistry API are now live. Ship them in your app today.Get Started

Panchang Lagna Table

The panchang_lagna_table API returns a list of lagna (zodiac sign ascendant) and their start and end times for a given date. The response is in JSON format with each entry containing the lagna, start time, and end time.
POSThttps://json.astrologyapi.com/v1/panchang_lagna_table

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

dayintrequired

Date, eg: 10

monthintrequired

Month, eg: 5

yearintrequired

Year, eg: 1990

hourintrequired

Hour, eg: 19

minintrequired

Minute, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/panchang_lagna_table' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data β€” no API key needed

[
  {
    "lagna": "Cancer",
    "start_time": "27-07-2018 10:43:30",
    "end_time": "27-07-2018 12:56:46"
  },
  {
    "lagna": "Leo",
    "start_time": "27-07-2018 12:56:46",
    "end_time": "27-07-2018 15:04:54"
  },
  {
    "lagna": "Virgo",
    "start_time": "27-07-2018 15:04:54",
    "end_time": "27-07-2018 17:11:47"
  },
  {
    "lagna": "Libra",
    "start_time": "27-07-2018 17:11:47",
    "end_time": "27-07-2018 19:23:04"
  },
  {
    "lagna": "Scorpio",
    "start_time": "27-07-2018 19:23:04",
    "end_time": "27-07-2018 21:37:19"
  },
  {
    "lagna": "Sagittarius",
    "start_time": "27-07-2018 21:37:19",
    "end_time": "27-07-2018 23:43:20"
  },
  {
    "lagna": "Capricorn",
    "start_time": "27-07-2018 23:43:20",
    "end_time": "28-07-2018 01:32:45"
  },
  {
    "lagna": "Aquarius",
    "start_time": "28-07-2018 01:32:45",
    "end_time": "28-07-2018 03:09:23"
  },
  {
    "lagna": "Pisces",
    "start_time": "28-07-2018 03:09:23",
    "end_time": "28-07-2018 04:43:45"
  },
  {
    "lagna": "Aries",
    "start_time": "28-07-2018 04:43:45",
    "end_time": "28-07-2018 06:27:08"
  },
  {
    "lagna": "Taurus",
    "start_time": "28-07-2018 06:27:08",
    "end_time": "28-07-2018 08:26:58"
  },
  {
    "lagna": "Gemini",
    "start_time": "28-07-2018 08:26:58",
    "end_time": "28-07-2018 10:39:34"
  }
]